Method: advertisers.negativeKeywordLists.negativeKeywords.list

列出排除關鍵字清單中的排除關鍵字。

HTTP 要求

GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
advertiserId

string (int64 format)

必填。上層排除關鍵字清單所屬 DV360 廣告主的 ID。

negativeKeywordListId

string (int64 format)

必填。所要求排除關鍵字所屬的上層排除關鍵字清單 ID。

查詢參數

參數
pageSize

integer

要求的頁面大小。必須介於 1 至 1000 之間。如未指定,則預設為 100。如果指定的值無效,則會傳回錯誤代碼 INVALID_ARGUMENT。

pageToken

string

用來識別伺服器應傳回哪一頁結果的權杖。

通常,這是先前呼叫 negativeKeywords.list 方法時傳回的 nextPageToken 值。如未指定,系統會傳回第一頁的結果。

orderBy

string

用於排序清單的欄位。可接受的值如下:

  • keywordValue (預設)

預設排列順序為遞增。如要指定欄位的遞減排序,請在欄位名稱後方加上「desc」。範例:keywordValue desc。

filter

string

可依排除關鍵字欄位篩選。

支援的語法:

  • 排除關鍵字的篩選運算式最多只能包含一項限制。
  • 限制的格式為 {field} {operator} {value}。
  • 所有欄位都必須使用 HAS (:) 運算子。

支援的欄位:

  • keywordValue

範例:

  • 關鍵字值包含「google」的所有排除關鍵字:keywordValue : "google"

這個欄位的長度不得超過 500 個字元。

詳情請參閱篩選 LIST 要求指南。

要求主體

要求主體必須為空白。

回應主體

NegativeKeywordService.ListNegativeKeywords 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "negativeKeywords": [
    {
      object (NegativeKeyword)
    }
  ],
  "nextPageToken": string
}
欄位
negativeKeywords[]

object (NegativeKeyword)

排除關鍵字清單。

如果清單空白,就不會顯示。

nextPageToken

string

用於擷取下一頁結果的權杖。

在後續呼叫 negativeKeywords.list 方法時,將這個值傳遞至 pageToken 欄位,即可擷取下一頁結果。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/display-video

詳情請參閱OAuth 2.0 Overview。